<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.CoverSearch</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;CoverSearch
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.CoverSearch-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.CoverSearch-module.html">Module screenlets.plugins.CoverSearch</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free software!</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.AmazonCoverArtSearch=screenlets.plugins.AmazonCoverArtSearch-module.html,Class screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html"><a title="screenlets.plugins.AmazonCoverArtSearch
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch" class="py-name" href="#" onclick="return doclink('link-0', 'AmazonCoverArtSearch', 'link-0');">AmazonCoverArtSearch</a></tt> <tt class="py-keyword">import</tt> <tt id="link-1" class="py-name"><a title="screenlets.plugins.AmazonCoverArtSearch
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch" class="py-name" href="#" onclick="return doclink('link-1', 'AmazonCoverArtSearch', 'link-0');">AmazonCoverArtSearch</a></tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-2" class="py-name" targets="Module screenlets.plugins.Loader=screenlets.plugins.Loader-module.html,Function screenlets.plugins.Loader.Loader()=screenlets.plugins.Loader-module.html#Loader"><a title="screenlets.plugins.Loader
screenlets.plugins.Loader.Loader" class="py-name" href="#" onclick="return doclink('link-2', 'Loader', 'link-2');">Loader</a></tt> <tt class="py-keyword">import</tt> <tt id="link-3" class="py-name"><a title="screenlets.plugins.Loader
screenlets.plugins.Loader.Loader" class="py-name" href="#" onclick="return doclink('link-3', 'Loader', 'link-2');">Loader</a></tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">os</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">threading</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt class="py-name">time</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch"></a><div id="CoverSearch-def"><a name="L16"></a><tt class="py-lineno">16</tt> <a class="py-toggle" href="#" id="CoverSearch-toggle" onclick="return toggle('CoverSearch');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html">CoverSearch</a> <tt class="py-op">(</tt><tt class="py-base-class">threading</tt><tt class="py-op">.</tt><tt class="py-base-class">Thread</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="CoverSearch-expanded"><a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line">        <tt id="link-4" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.loader=screenlets.plugins.CoverSearch.CoverSearch-class.html#loader"><a title="screenlets.plugins.CoverSearch.CoverSearch.loader" class="py-name" href="#" onclick="return doclink('link-4', 'loader', 'link-4');">loader</a></tt> <tt class="py-op">=</tt> <tt class="py-name">None</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line">        <tt id="link-5" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.Result=screenlets.plugins.CoverSearch.CoverSearch-class.html#Result"><a title="screenlets.plugins.CoverSearch.CoverSearch.Result" class="py-name" href="#" onclick="return doclink('link-5', 'Result', 'link-5');">Result</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line">        <tt id="link-6" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.artist=screenlets.plugins.CoverSearch.CoverSearch-class.html#artist"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-6', 'artist', 'link-6');">artist</a></tt> <tt class="py-op">=</tt> <tt class="py-string">""</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line">        <tt id="link-7" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.album=screenlets.plugins.CoverSearch.CoverSearch-class.html#album"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-7', 'album', 'link-7');">album</a></tt> <tt class="py-op">=</tt> <tt class="py-string">""</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line">        <tt id="link-8" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.callback_fn=screenlets.plugins.CoverSearch.CoverSearch-class.html#callback_fn,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#callback_fn,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#callback_fn,Variable screenlets.plugins.Songbird.SongbirdAPI.callback_fn=screenlets.plugins.Songbird.SongbirdAPI-class.html#callback_fn"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-8', 'callback_fn', 'link-8');">callback_fn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line">        <tt id="link-9" class="py-name" targets="Variable screenlets.plugins.CoverSearch.CoverSearch.AlbumCover=screenlets.plugins.CoverSearch.CoverSearch-class.html#AlbumCover"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-9', 'AlbumCover', 'link-9');">AlbumCover</a></tt> <tt class="py-op">=</tt> <tt class="py-string">"/tmp/nowplaying-album.jpg"</tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch.__init__"></a><div id="CoverSearch.__init__-def"><a name="L25"></a><tt class="py-lineno">25</tt> <a class="py-toggle" href="#" id="CoverSearch.__init__-toggle" onclick="return toggle('CoverSearch.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch.__init__-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="CoverSearch.__init__-expanded"><a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-10" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.loader" class="py-name" href="#" onclick="return doclink('link-10', 'loader', 'link-4');">loader</a></tt> <tt class="py-op">=</tt> <tt id="link-11" class="py-name"><a title="screenlets.plugins.Loader
screenlets.plugins.Loader.Loader" class="py-name" href="#" onclick="return doclink('link-11', 'Loader', 'link-2');">Loader</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">engine</tt> <tt class="py-op">=</tt> <tt id="link-12" class="py-name"><a title="screenlets.plugins.AmazonCoverArtSearch
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch" class="py-name" href="#" onclick="return doclink('link-12', 'AmazonCoverArtSearch', 'link-0');">AmazonCoverArtSearch</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-13" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.loader" class="py-name" href="#" onclick="return doclink('link-13', 'loader', 'link-4');">loader</a></tt><tt class="py-op">)</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.Result" class="py-name" href="#" onclick="return doclink('link-14', 'Result', 'link-5');">Result</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">                <tt class="py-name">threading</tt><tt class="py-op">.</tt><tt class="py-name">Thread</tt><tt class="py-op">.</tt><tt id="link-15" class="py-name" targets="Method screenlets.Notify.__init__()=screenlets.Notify-class.html#__init__,Method screenlets.Screenlet.__init__()=screenlets.Screenlet-class.html#__init__,Method screenlets.ScreenletTheme.__init__()=screenlets.ScreenletTheme-class.html#__init__,Method screenlets.ShapedWidget.__init__()=screenlets.ShapedWidget-class.html#__init__,Method screenlets.Tooltip.__init__()=screenlets.Tooltip-class.html#__init__,Method screenlets.backend.CachingBackend.__init__()=screenlets.backend.CachingBackend-class.html#__init__,Method screenlets.backend.GconfBackend.__init__()=screenlets.backend.GconfBackend-class.html#__init__,Method screenlets.backend.ScreenletsBackend.__init__()=screenlets.backend.ScreenletsBackend-class.html#__init__,Method screenlets.install.ScreenletInstaller.__init__()=screenlets.install.ScreenletInstaller-class.html#__init__,Method screenlets.menu.ApplicationMenu.__init__()=screenlets.menu.ApplicationMenu-class.html#__init__,Method screenlets.menu.ImageMenuItem.__init__()=screenlets.menu.ImageMenuItem-class.html#__init__,Method screenlets.options.AccountOption.__init__()=screenlets.options.AccountOption-class.html#__init__,Method screenlets.options.EditableOptions.__init__()=screenlets.options.EditableOptions-class.html#__init__,Method screenlets.options.FileOption.__init__()=screenlets.options.FileOption-class.html#__init__,Method screenlets.options.FloatOption.__init__()=screenlets.options.FloatOption-class.html#__init__,Method screenlets.options.IntOption.__init__()=screenlets.options.IntOption-class.html#__init__,Method screenlets.options.ListOptionDialog.__init__()=screenlets.options.ListOptionDialog-class.html#__init__,Method screenlets.options.Option.__init__()=screenlets.options.Option-class.html#__init__,Method screenlets.options.OptionsDialog.__init__()=screenlets.options.OptionsDialog-class.html#__init__,Method screenlets.options.StringOption.__init__()=screenlets.options.StringOption-class.html#__init__,Method screenlets.plugins.Amarok.AmarokAPI.__init__()=screenlets.plugins.Amarok.AmarokAPI-class.html#__init__,Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#__init__,Method screenlets.plugins.Audacious.AudaciousAPI.__init__()=screenlets.plugins.Audacious.AudaciousAPI-class.html#__init__,Method screenlets.plugins.Banshee.BansheeAPI.__init__()=screenlets.plugins.Banshee.BansheeAPI-class.html#__init__,Method screenlets.plugins.Convert.Converter.__init__()=screenlets.plugins.Convert.Converter-class.html#__init__,Method screenlets.plugins.CoverSearch.CoverSearch.__init__()=screenlets.plugins.CoverSearch.CoverSearch-class.html#__init__,Method screenlets.plugins.Exaile.ExaileAPI.__init__()=screenlets.plugins.Exaile.ExaileAPI-class.html#__init__,Method screenlets.plugins.Flickr.Flickr.__init__()=screenlets.plugins.Flickr.Flickr-class.html#__init__,Method screenlets.plugins.GenericPlayer.GenericAPI.__init__()=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__init__,Method screenlets.plugins.Gstreamer.gstreamer.__init__()=screenlets.plugins.Gstreamer.gstreamer-class.html#__init__,Method screenlets.plugins.Juk.JukAPI.__init__()=screenlets.plugins.Juk.JukAPI-class.html#__init__,Method screenlets.plugins.Kaffeine.KaffeineAPI.__init__()=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__init__,Method screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__()=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__init__,Method screenlets.plugins.Listen.ListenAPI.__init__()=screenlets.plugins.Listen.ListenAPI-class.html#__init__,Method screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__()=screenlets.plugins.Loader.GnomeVFSAsyncSrc-class.html#__init__,Method screenlets.plugins.Mail.IMAPBackend.__init__()=screenlets.plugins.Mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.Mail.MailCheckBackend.__init__()=screenlets.plugins.Mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.Mail.Mailer.__init__()=screenlets.plugins.Mail.Mailer-class.html#__init__,Method screenlets.plugins.Mail.POP3Backend.__init__()=screenlets.plugins.Mail.POP3Backend-class.html#__init__,Method screenlets.plugins.Mplayer.Mplayer.__init__()=screenlets.plugins.Mplayer.Mplayer-class.html#__init__,Method screenlets.plugins.Proxy.Proxy.__init__()=screenlets.plugins.Proxy.Proxy-class.html#__init__,Method screenlets.plugins.Quodlibet.QuodlibetAPI.__init__()=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__init__,Method screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__()=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__init__,Method screenlets.plugins.Sonata.SonataAPI.__init__()=screenlets.plugins.Sonata.SonataAPI-class.html#__init__,Method screenlets.plugins.Songbird.SongbirdAPI.__init__()=screenlets.plugins.Songbird.SongbirdAPI-class.html#__init__,Method screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__()=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__init__,Method screenlets.plugins.iCal.DateSet.__init__()=screenlets.plugins.iCal.DateSet-class.html#__init__,Method screenlets.plugins.iCal.ICalEvent.__init__()=screenlets.plugins.iCal.ICalEvent-class.html#__init__,Method screenlets.plugins.iCal.ICalReader.__init__()=screenlets.plugins.iCal.ICalReader-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.Key.__init__()=screenlets.plugins.keyring.KeyRing.Key-class.html#__init__,Method screenlets.plugins.keyring.KeyRing.__init__()=screenlets.plugins.keyring.KeyRing-class.html#__init__,Method screenlets.plugins.mail.IMAPBackend.__init__()=screenlets.plugins.mail.IMAPBackend-class.html#__init__,Method screenlets.plugins.mail.MailCheckBackend.__init__()=screenlets.plugins.mail.MailCheckBackend-class.html#__init__,Method screenlets.plugins.mail.Mailer.__init__()=screenlets.plugins.mail.Mailer-class.html#__init__,Method screenlets.plugins.mail.POP3Backend.__init__()=screenlets.plugins.mail.POP3Backend-class.html#__init__,Method screenlets.plugins.mpdclient2.command_sender.__init__()=screenlets.plugins.mpdclient2.command_sender-class.html#__init__,Method screenlets.plugins.mpdclient2.mpd_connection.__init__()=screenlets.plugins.mpdclient2.mpd_connection-class.html#__init__,Method screenlets.plugins.mpdclient2.response_fetcher.__init__()=screenlets.plugins.mpdclient2.response_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.sender_n_fetcher.__init__()=screenlets.plugins.mpdclient2.sender_n_fetcher-class.html#__init__,Method screenlets.plugins.mpdclient2.socket_talker.__init__()=screenlets.plugins.mpdclient2.socket_talker-class.html#__init__,Method screenlets.sensors.CPUSensor.__init__()=screenlets.sensors.CPUSensor-class.html#__init__,Method screenlets.sensors.MemorySensor.__init__()=screenlets.sensors.MemorySensor-class.html#__init__,Method screenlets.sensors.NetSensor.__init__()=screenlets.sensors.NetSensor-class.html#__init__,Method screenlets.sensors.Sensor.__init__()=screenlets.sensors.Sensor-class.html#__init__,Method screenlets.services.ScreenletService.__init__()=screenlets.services.ScreenletService-class.html#__init__,Method screenlets.session.ScreenletSession.__init__()=screenlets.session.ScreenletSession-class.html#__init__,Method screenlets.utils.FileMonitor.__init__()=screenlets.utils.FileMonitor-class.html#__init__,Method screenlets.utils.IniReader.__init__()=screenlets.utils.IniReader-class.html#__init__,Method screenlets.utils.Notifier.__init__()=screenlets.utils.Notifier-class.html#__init__,Method screenlets.utils.ScreenletInfo.__init__()=screenlets.utils.ScreenletInfo-class.html#__init__"><a title="screenlets.Notify.__init__
screenlets.Screenlet.__init__
screenlets.ScreenletTheme.__init__
screenlets.ShapedWidget.__init__
screenlets.Tooltip.__init__
screenlets.backend.CachingBackend.__init__
screenlets.backend.GconfBackend.__init__
screenlets.backend.ScreenletsBackend.__init__
screenlets.install.ScreenletInstaller.__init__
screenlets.menu.ApplicationMenu.__init__
screenlets.menu.ImageMenuItem.__init__
screenlets.options.AccountOption.__init__
screenlets.options.EditableOptions.__init__
screenlets.options.FileOption.__init__
screenlets.options.FloatOption.__init__
screenlets.options.IntOption.__init__
screenlets.options.ListOptionDialog.__init__
screenlets.options.Option.__init__
screenlets.options.OptionsDialog.__init__
screenlets.options.StringOption.__init__
screenlets.plugins.Amarok.AmarokAPI.__init__
screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.__init__
screenlets.plugins.Audacious.AudaciousAPI.__init__
screenlets.plugins.Banshee.BansheeAPI.__init__
screenlets.plugins.Convert.Converter.__init__
screenlets.plugins.CoverSearch.CoverSearch.__init__
screenlets.plugins.Exaile.ExaileAPI.__init__
screenlets.plugins.Flickr.Flickr.__init__
screenlets.plugins.GenericPlayer.GenericAPI.__init__
screenlets.plugins.Gstreamer.gstreamer.__init__
screenlets.plugins.Juk.JukAPI.__init__
screenlets.plugins.Kaffeine.KaffeineAPI.__init__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__init__
screenlets.plugins.Listen.ListenAPI.__init__
screenlets.plugins.Loader.GnomeVFSAsyncSrc.__init__
screenlets.plugins.Mail.IMAPBackend.__init__
screenlets.plugins.Mail.MailCheckBackend.__init__
screenlets.plugins.Mail.Mailer.__init__
screenlets.plugins.Mail.POP3Backend.__init__
screenlets.plugins.Mplayer.Mplayer.__init__
screenlets.plugins.Proxy.Proxy.__init__
screenlets.plugins.Quodlibet.QuodlibetAPI.__init__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__init__
screenlets.plugins.Sonata.SonataAPI.__init__
screenlets.plugins.Songbird.SongbirdAPI.__init__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__init__
screenlets.plugins.iCal.DateSet.__init__
screenlets.plugins.iCal.ICalEvent.__init__
screenlets.plugins.iCal.ICalReader.__init__
screenlets.plugins.keyring.KeyRing.Key.__init__
screenlets.plugins.keyring.KeyRing.__init__
screenlets.plugins.mail.IMAPBackend.__init__
screenlets.plugins.mail.MailCheckBackend.__init__
screenlets.plugins.mail.Mailer.__init__
screenlets.plugins.mail.POP3Backend.__init__
screenlets.plugins.mpdclient2.command_sender.__init__
screenlets.plugins.mpdclient2.mpd_connection.__init__
screenlets.plugins.mpdclient2.response_fetcher.__init__
screenlets.plugins.mpdclient2.sender_n_fetcher.__init__
screenlets.plugins.mpdclient2.socket_talker.__init__
screenlets.sensors.CPUSensor.__init__
screenlets.sensors.MemorySensor.__init__
screenlets.sensors.NetSensor.__init__
screenlets.sensors.Sensor.__init__
screenlets.services.ScreenletService.__init__
screenlets.session.ScreenletSession.__init__
screenlets.utils.FileMonitor.__init__
screenlets.utils.IniReader.__init__
screenlets.utils.Notifier.__init__
screenlets.utils.ScreenletInfo.__init__" class="py-name" href="#" onclick="return doclink('link-15', '__init__', 'link-15');">__init__</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">)</tt> </tt>
</div><a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch.initData"></a><div id="CoverSearch.initData-def"><a name="L31"></a><tt class="py-lineno">31</tt> <a class="py-toggle" href="#" id="CoverSearch.initData-toggle" onclick="return toggle('CoverSearch.initData');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html#initData">initData</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">artist</tt><tt class="py-op">,</tt> <tt class="py-param">album</tt><tt class="py-op">,</tt> <tt class="py-param">fn</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch.initData-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="CoverSearch.initData-expanded"><a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-16" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-16', 'artist', 'link-6');">artist</a></tt> <tt class="py-op">=</tt> <tt id="link-17" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-17', 'artist', 'link-6');">artist</a></tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-18" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-18', 'album', 'link-7');">album</a></tt> <tt class="py-op">=</tt> <tt id="link-19" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-19', 'album', 'link-7');">album</a></tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-20" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-20', 'callback_fn', 'link-8');">callback_fn</a></tt> <tt class="py-op">=</tt> <tt class="py-name">fn</tt> </tt>
</div><a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch.saveimg"></a><div id="CoverSearch.saveimg-def"><a name="L36"></a><tt class="py-lineno">36</tt> <a class="py-toggle" href="#" id="CoverSearch.saveimg-toggle" onclick="return toggle('CoverSearch.saveimg');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html#saveimg">saveimg</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">data</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch.saveimg-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="CoverSearch.saveimg-expanded"><a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">                <tt class="py-name">fobj</tt> <tt class="py-op">=</tt> <tt id="link-21" class="py-name" targets="Method screenlets.utils.FileMonitor.open()=screenlets.utils.FileMonitor-class.html#open"><a title="screenlets.utils.FileMonitor.open" class="py-name" href="#" onclick="return doclink('link-21', 'open', 'link-21');">open</a></tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-22" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-22', 'AlbumCover', 'link-9');">AlbumCover</a></tt><tt class="py-op">,</tt><tt class="py-string">"w"</tt><tt class="py-op">)</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">                <tt class="py-name">fobj</tt><tt class="py-op">.</tt><tt class="py-name">write</tt><tt class="py-op">(</tt><tt class="py-name">data</tt><tt class="py-op">)</tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line">                <tt class="py-name">fobj</tt><tt class="py-op">.</tt><tt id="link-23" class="py-name" targets="Method screenlets.Screenlet.close()=screenlets.Screenlet-class.html#close,Method screenlets.plugins.Mplayer.Mplayer.close()=screenlets.plugins.Mplayer.Mplayer-class.html#close,Method screenlets.utils.FileMonitor.close()=screenlets.utils.FileMonitor-class.html#close"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-23', 'close', 'link-23');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-24" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.Result" class="py-name" href="#" onclick="return doclink('link-24', 'Result', 'link-5');">Result</a></tt> <tt class="py-op">=</tt> <tt class="py-name">True</tt> </tt>
</div><a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch.cb"></a><div id="CoverSearch.cb-def"><a name="L42"></a><tt class="py-lineno">42</tt> <a class="py-toggle" href="#" id="CoverSearch.cb-toggle" onclick="return toggle('CoverSearch.cb');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html#cb">cb</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">itm</tt><tt class="py-op">,</tt> <tt class="py-param">artist</tt><tt class="py-op">,</tt> <tt class="py-param">album</tt><tt class="py-op">,</tt> <tt class="py-param">result</tt><tt class="py-op">,</tt> <tt class="py-op">*</tt><tt class="py-param">args</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch.cb-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="CoverSearch.cb-expanded"><a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line">                <tt class="py-name">data</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">engine</tt><tt class="py-op">.</tt><tt id="link-25" class="py-name" targets="Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.get_best_match_urls()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#get_best_match_urls"><a title="screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.get_best_match_urls" class="py-name" href="#" onclick="return doclink('link-25', 'get_best_match_urls', 'link-25');">get_best_match_urls</a></tt><tt class="py-op">(</tt><tt class="py-name">result</tt><tt class="py-op">)</tt> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">data</tt> <tt class="py-keyword">and</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-26" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-26', 'artist', 'link-6');">artist</a></tt> <tt class="py-op">==</tt> <tt id="link-27" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-27', 'artist', 'link-6');">artist</a></tt> <tt class="py-keyword">and</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-28" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-28', 'album', 'link-7');">album</a></tt> <tt class="py-op">==</tt> <tt id="link-29" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-29', 'album', 'link-7');">album</a></tt><tt class="py-op">:</tt>  </tt>
<a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">                        <tt class="py-comment">#print data[0]</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line"><tt class="py-comment"></tt>                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-30" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.loader" class="py-name" href="#" onclick="return doclink('link-30', 'loader', 'link-4');">loader</a></tt><tt class="py-op">.</tt><tt id="link-31" class="py-name" targets="Method screenlets.plugins.Loader.GnomeVFSAsyncSrc.get_url()=screenlets.plugins.Loader.GnomeVFSAsyncSrc-class.html#get_url,Method screenlets.plugins.Loader.URLLibSrc.get_url()=screenlets.plugins.Loader.URLLibSrc-class.html#get_url"><a title="screenlets.plugins.Loader.GnomeVFSAsyncSrc.get_url
screenlets.plugins.Loader.URLLibSrc.get_url" class="py-name" href="#" onclick="return doclink('link-31', 'get_url', 'link-31');">get_url</a></tt><tt class="py-op">(</tt><tt class="py-name">data</tt><tt class="py-op">[</tt><tt class="py-number">0</tt><tt class="py-op">]</tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-32" class="py-name" targets="Method screenlets.plugins.CoverSearch.CoverSearch.saveimg()=screenlets.plugins.CoverSearch.CoverSearch-class.html#saveimg"><a title="screenlets.plugins.CoverSearch.CoverSearch.saveimg" class="py-name" href="#" onclick="return doclink('link-32', 'saveimg', 'link-32');">saveimg</a></tt><tt class="py-op">)</tt> </tt>
</div><a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"> </tt>
<a name="CoverSearch.run"></a><div id="CoverSearch.run-def"><a name="L48"></a><tt class="py-lineno">48</tt> <a class="py-toggle" href="#" id="CoverSearch.run-toggle" onclick="return toggle('CoverSearch.run');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.CoverSearch.CoverSearch-class.html#run">run</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="CoverSearch.run-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="CoverSearch.run-expanded"><a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-33" class="py-name" targets="Variable screenlets.ScreenletTheme.path=screenlets.ScreenletTheme-class.html#path,Variable screenlets.backend.CachingBackend.path=screenlets.backend.CachingBackend-class.html#path"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-33', 'path', 'link-33');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">exists</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-34" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-34', 'AlbumCover', 'link-9');">AlbumCover</a></tt><tt class="py-op">)</tt><tt class="py-op">:</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt class="py-name">remove</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-35" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-35', 'AlbumCover', 'link-9');">AlbumCover</a></tt><tt class="py-op">)</tt> </tt>
<a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-36" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.Result" class="py-name" href="#" onclick="return doclink('link-36', 'Result', 'link-5');">Result</a></tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L51"></a><tt class="py-lineno">51</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">engine</tt><tt class="py-op">.</tt><tt id="link-37" class="py-name" targets="Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#search"><a title="screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search" class="py-name" href="#" onclick="return doclink('link-37', 'search', 'link-37');">search</a></tt> <tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-38" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.artist" class="py-name" href="#" onclick="return doclink('link-38', 'artist', 'link-6');">artist</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-39" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.album" class="py-name" href="#" onclick="return doclink('link-39', 'album', 'link-7');">album</a></tt><tt class="py-op">,</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-40" class="py-name" targets="Method screenlets.plugins.CoverSearch.CoverSearch.cb()=screenlets.plugins.CoverSearch.CoverSearch-class.html#cb"><a title="screenlets.plugins.CoverSearch.CoverSearch.cb" class="py-name" href="#" onclick="return doclink('link-40', 'cb', 'link-40');">cb</a></tt><tt class="py-op">)</tt> </tt>
<a name="L52"></a><tt class="py-lineno">52</tt>  <tt class="py-line">                <tt class="py-keyword">while</tt> <tt class="py-name">True</tt><tt class="py-op">:</tt> </tt>
<a name="L53"></a><tt class="py-lineno">53</tt>  <tt class="py-line">                        <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-41" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.Result" class="py-name" href="#" onclick="return doclink('link-41', 'Result', 'link-5');">Result</a></tt><tt class="py-op">:</tt>  </tt>
<a name="L54"></a><tt class="py-lineno">54</tt>  <tt class="py-line">                                <tt class="py-keyword">break</tt> </tt>
<a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line">                        <tt class="py-keyword">if</tt> <tt class="py-keyword">not</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt class="py-name">engine</tt><tt class="py-op">.</tt><tt id="link-42" class="py-name" targets="Method screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search_next()=screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch-class.html#search_next"><a title="screenlets.plugins.AmazonCoverArtSearch.AmazonCoverArtSearch.search_next" class="py-name" href="#" onclick="return doclink('link-42', 'search_next', 'link-42');">search_next</a></tt> <tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line">                                <tt class="py-keyword">break</tt> </tt>
<a name="L57"></a><tt class="py-lineno">57</tt>  <tt class="py-line"> </tt>
<a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line">                <tt class="py-name">cover</tt> <tt class="py-op">=</tt> <tt class="py-name">False</tt> </tt>
<a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">os</tt><tt class="py-op">.</tt><tt id="link-43" class="py-name"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-43', 'path', 'link-33');">path</a></tt><tt class="py-op">.</tt><tt class="py-name">exists</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-44" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-44', 'AlbumCover', 'link-9');">AlbumCover</a></tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L60"></a><tt class="py-lineno">60</tt>  <tt class="py-line">                        <tt class="py-name">cover</tt> <tt class="py-op">=</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-45" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.AlbumCover" class="py-name" href="#" onclick="return doclink('link-45', 'AlbumCover', 'link-9');">AlbumCover</a></tt> </tt>
<a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line"> </tt>
<a name="L62"></a><tt class="py-lineno">62</tt>  <tt class="py-line">                <tt class="py-comment">#print threading.currentThread()</tt> </tt>
<a name="L63"></a><tt class="py-lineno">63</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-46" class="py-name"><a title="screenlets.plugins.CoverSearch.CoverSearch.callback_fn
screenlets.plugins.Quodlibet.QuodlibetAPI.callback_fn
screenlets.plugins.Rhythmbox.RhythmboxAPI.callback_fn
screenlets.plugins.Songbird.SongbirdAPI.callback_fn" class="py-name" href="#" onclick="return doclink('link-46', 'callback_fn', 'link-8');">callback_fn</a></tt><tt class="py-op">(</tt><tt class="py-name">cover</tt><tt class="py-op">)</tt> </tt>
<a name="L64"></a><tt class="py-lineno">64</tt>  <tt class="py-line">                <tt class="py-keyword">return</tt> <tt class="py-name">None</tt> </tt>
</div></div><a name="L65"></a><tt class="py-lineno">65</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:01 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
